package com.diaoyun.zion;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cache.annotation.EnableCaching;

@SpringBootApplication
@EnableCaching
public class ZionApplication  extends SpringBootServletInitializer {
    //tomcat 设置
    /*@Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        // 注意这里要指向原先用main方法执行的Application启动类
        return builder.sources(ZionApplication.class);
    }*/
    public static void main(String[] args) {
        SpringApplication.run(ZionApplication.class, args);
    }


}
